%  This program is free software; you can redistribute it and/or
%  modify it under the terms of the GNU General Public License
%  as published by the Free Software Foundation; version 2, June 1991 
%
% USAGE: R33 = create_rot_from_stiefel(R23)
%
% INPUT:
%
% R23: the (2f x 3) matrix containing a set of f orthographic camera
% matrices stacked vertically.
% INPUT:
%
% R33: the (3f x 3) matrix containing a set of f rotation matrices
% stacked vertically.

function R33 = create_rot_from_stiefel(R23)


f = size(R23,1)/2;
R33 = zeros(3*f,3);


for i=1:f
    
    R33(3*i-2:3*i-1,:) = R23(2*i-1:2*i,:);
    R33(3*i,:) = cross(R23(2*i-1,:),R23(2*i,:));
    if det(R33(3*i-2:3*i,:))== -1
        R33(3*i-2:3*i,:) = -R33(3*i-2:3*i,:);
    end
end