% demo_ps_missing

% load the images I, the mask for background/foreground Imask and the
% missing data mask D
load data_PS_demo.mat

% define the projector for the photometric stereo problem
handle_proj = @proj_photometric_4sph;


% call the initialisation routines and the balm optimiser
[M,S,Ifill,err_1,timing] = balm_missing_photometric(I, D, Imask, handle_proj, 100, 5);


% plot an original frame, the  missing data mask and the optimised image
frame = 20;
subplot(1,3,1), imshow(reshape(I(frame,:)',size(Imask,1),size(Imask,2))), title('Original Image');
subplot(1,3,2), imshow(reshape(D(frame,:)',size(Imask,1),size(Imask,2))), title('Missing Data Mask');
subplot(1,3,3), imshow(reshape(Ifill(frame,:)',size(Imask,1),size(Imask,2))), title('Optimised Image');
