% Created by Alessio Del Bue and Lourdes Agapito
% Last Modified: 04/01/2005
% License: GPLv2
%
% Function: M = fact_plugLR(L,R)
% Simply plug together the configuration weights and rotation matrices to
% obtain the motion component M
% 
% Input:
% 
% L: configuration weights of size K x F
% R: Rotation matrices at each frame of size 2F x 3
% 
% Output:
%
% M: Motion component of size 2F x 3K

function M = fact_plugLR(L,R)

% Copyright (C) 2009 Alessio Del Bue and Lourdes Agapito.
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; either version 2
% of the License, or (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.


f=size(R,1)/2;

for i=1:f
    M(2*i-1:2*i,:) = kron(L(:,i)',R(2*i-1:2*i,:)); 
end